libgdamm Reference Documentation

Main Page Namespaces Book

# Gnome::Gda::ServerOperation Class Reference
[Data definition (DDL) queries]

Handles any DDL query in an abstract way. More...

Inheritance diagram for Gnome::Gda::ServerOperation:

[legend]
List of all members.

## Public Member Functions

Value | get_value_at (const Glib::ustring& path) const
| Get the value for the node at the path formed using path_format and .
const GdaServerOperation* | gobj () const
| Provides access to the underlying C GObject.
GdaServerOperation* | gobj ()
| Provides access to the underlying C GObject.
GdaServerOperation* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | set_value_at (const Glib::ustring& path, const Glib::ustring& value)
| Set the value for the node at the path formed using path_format and .
virtual | ~ServerOperation ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gnome::Gda::ServerOperation> | wrap (GdaServerOperation* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Handles any DDL query in an abstract way.

## Constructor & Destructor Documentation

virtual Gnome::Gda::ServerOperation::~ServerOperation | ( |  | ) | `[virtual]`

## Member Function Documentation

Value Gnome::Gda::ServerOperation::get_value_at | ( | const Glib::ustring & | path | ) | const

Get the value for the node at the path formed using path_format and .

.. (the rules are the same as for Glib::strdup_printf())

Parameters:

  | path_format | A complete path to a node (starting with "/").
  | Varargs | Arguments to use with path_format to make a complete path.

Returns:
  A constant Value if a value has been defined, or `0` if the value is undefined or if the path is not defined or path does not hold any value.

const GdaServerOperation* Gnome::Gda::ServerOperation::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GdaServerOperation* Gnome::Gda::ServerOperation::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GdaServerOperation* Gnome::Gda::ServerOperation::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

void Gnome::Gda::ServerOperation::set_value_at | ( | const Glib::ustring & | path,
|  | const Glib::ustring & | value |
| ) |  |  |

Set the value for the node at the path formed using path_format and .

.. the rules are the same as for Glib::strdup_printf())

Here are the corner cases: <itemizedlist> <listitem>If the path corresponds to a Gda::Parameter, then the parameter is set to value</listitem> <listitem>If the path corresponds to a sequence item like for example "/SEQUENCE_NAME/5/NAME" for the "NAME" value of the 6th item of the "SEQUENCE_NAME" sequence then: <itemizedlist> <listitem>if the sequence already has 6 or more items, then the value is just set to the corresponding value in the 6th item of the sequence</listitem> <listitem>if the sequence has less then 6 items, then items are added up to the 6th one before setting the value to the corresponding in the 6th item of the sequence</listitem> </itemizedlist> </listitem> <listitem>If the path corresponds to a Gda::DataModel, like for example "/ARRAY/ @a COLUMN/5" for the value at the 6th row of the "COLUMN" column of the "ARRAY" data model, then: <itemizedlist> <listitem>if the data model already contains 6 or more rows, then the value is just set</listitem> <listitem>if the data model has less than 6 rows, then rows are added up to the 6th one before setting the value</listitem> </itemizedlist> </listitem> </itemizedlist>

Parameters:

  | value | A string.
  | path_format | A complete path to a node (starting with "/").
  | Varargs | Arguments to use with path_format to make a complete path.

Returns:
  `true` if no error occurred.

## Friends And Related Function Documentation

Glib::RefPtr<Gnome::Gda::ServerOperation> wrap | ( | GdaServerOperation * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- serveroperation.h